Bug 58771 - Directory /boot/grub hardcoded in patch
Summary: Directory /boot/grub hardcoded in patch
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-24 12:42 UTC by han.holl
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 12:42:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description han.holl 2002-01-24 12:42:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7+) Gecko/20020118

Description of problem:
In patch grub-0.90-symlinkmenulst.patch /boot/grub is hardcoded.
This should be $grubdir.
Otherwise it fails for users with a boot partition.

Version-Release number of selected component (if applicable): 0.91 (and before)


How reproducible:
Always

Steps to Reproduce:
1.Have a seperate boot partiton, and create /boot/boot/grub/menu.lst
2.run grub-install --root-directory=/boot /dev/hda 
3.
	

Actual Results:  No grub.conf symlink in /boot/boot/grub, therefore no menu

Expected Results:  Symlink

Additional info: (correct patch)

diff -ur grub-0.90/ChangeLog grub/ChangeLog
--- grub-0.90/ChangeLog Wed Sep  5 15:50:06 2001
+++ grub/ChangeLog      Wed Sep  5 15:51:04 2001
@@ -1,3 +1,8 @@
+2001-09-05  Jeremy Katz  <katzj@redhat.com>
+
+       * util/grub-install.in: if $grubdir/grub.conf doesn't exist but
+       $grubdir/menu.lst does, create a symlink
+
 2001-08-24  Jeremy Katz  <katzj@redhat.com>

        * util/grub-install.in: use mktemp to generate log filename
Only in grub: ChangeLog~
diff -ur grub-0.90/util/grub-install.in grub/util/grub-install.in
--- grub-0.90/util/grub-install.in      Wed Sep  5 15:50:06 2001
+++ grub/util/grub-install.in   Wed Sep  5 15:50:24 2001
@@ -320,6 +320,10 @@
     exit 1
 fi

+if ! test -e $grubdir/grub.conf ; then
+    test -e $grubdir/menu.lst && ln -s ./menu.lst $grubdir/grub.conf
+fi
+
 # Create a safe temporary file.
 test -x /bin/mktemp && log_file=`/bin/mktemp /tmp/grub-install.log.XXXXXX`

Only in grub/util: grub-install.in.orig

Comment 1 Jeremy Katz 2002-01-28 01:48:42 UTC
Changed in CVS and will be in the next build (post grub-0.91-2)


Note You need to log in before you can comment on or make changes to this bug.